Bug 1004157 - [fork][origin_ui_58]Admin console suggestions suggest adding nodes to district NONE which is impossible
[fork][origin_ui_58]Admin console suggestions suggest adding nodes to distric...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Luke Meyer
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 02:22 EDT by Liang Xia
Modified: 2015-05-14 21:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:46:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-09-04 02:22:38 EDT
Description of problem:
Admin console suggestions suggest adding nodes when gears capacity is below threshold, this is expected. 
But when there is node not in district, it show adding nodes to district NONE ( as below ), which is impossible.
Add 7 nodes to district (NONE), which according to an active gear percent of 50% has room for 64 more nodes.
oo-admin-ctl-district -c add-node -n '(NONE)' -i <server_identity>

Version-Release number of selected component (if applicable):
fork_ami_origin_ui_58_817

How reproducible:
always

Steps to Reproduce:
1.create a district.
2.add some nodes to the district while leave some nodes not in any district.
3.change config to make gears capacity less than threshold.
4.check the suggestions in admin console

Actual results:
Add capacity for small gear profile
Gear profile small has capacity for 180 active gears, which is below the threshold of 1500.
Create 15 nodes with profile small to increase the active gear capacity. This suggestion is based on:
    1320 gears needed to both reach the threshold and meet the configured GEAR_UP_SIZE of this profile.
    The estimated maximum active gears of 90 for nodes in this profile.
Add 8 nodes to district district11, which according to an active gear percent of 50% has room for 64 more nodes.
oo-admin-ctl-district -c add-node -n 'district11' -i <server_identity>
Add 7 nodes to district (NONE), which according to an active gear percent of 50% has room for 64 more nodes.
oo-admin-ctl-district -c add-node -n '(NONE)' -i <server_identity>
    
Add capacity for medium gear profile
Gear profile medium has capacity for 40 active gears, which is below the threshold of 1000.
Create 24 nodes with profile medium to increase the active gear capacity. This suggestion is based on:
    960 gears needed to both reach the threshold and meet the configured GEAR_UP_SIZE of this profile.
    The estimated maximum active gears of 40 for nodes in this profile.
Add 12 nodes to district disctrict44, which according to an active gear percent of 50% has room for 149 more nodes.
oo-admin-ctl-district -c add-node -n 'disctrict44' -i <server_identity>
Add 12 nodes to district (NONE), which according to an active gear percent of 50% has room for 149 more nodes.
oo-admin-ctl-district -c add-node -n '(NONE)' -i <server_identity>

# oo-admin-ctl-district -c add-node -n '(NONE)' -i ip-10-147-192-5
District '(NONE)' not found.

Expected results:
Adding nodes to district (NONE) should -not- be there.

Additional info:
https://broker/admin-console/suggestions
Comment 1 Luke Meyer 2013-09-04 09:59:48 EDT
Meant to add a test for that... good catch, thanks.
Comment 2 Luke Meyer 2013-09-04 14:03:45 EDT
Should be fixed with fork_ami_origin_ui_58_818
Comment 3 zhaozhanqi 2013-09-05 02:34:03 EDT
Tested this bug on fork_ami_origin_ui_58_818,it has been fixed.

Steps to Reproduce:
1.create a district.
2.add some nodes to the district while leave some nodes not in any district.
3.change config to make gears capacity less than threshold.
4.check the suggestions in admin console

no 'None' district shown in the admin-console-->suggestions
Comment 4 openshift-github-bot 2013-09-09 16:18:57 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/d893a1b69cfbb2f21846d2c270bdf35e3020b9d0
<admin suggestions> fix bug 1004157

https://bugzilla.redhat.com/show_bug.cgi?id=1004157
Admin console suggestions suggest adding nodes to district NONE which is
impossible

Note You need to log in before you can comment on or make changes to this bug.